
  // Libraries
  #include  "l298n_esp32.h"

  // Motor 1 Pins
  #define   MOTOR1_PIN1     27
  #define   MOTOR1_PIN2     26
  #define   MOTOR1_ENABLE   14

  // Motor 2 Pins
  #define   MOTOR2_PIN1     25
  #define   MOTOR2_PIN2     33
  #define   MOTOR2_ENABLE   32

  // Motor State
  enum MotorState {
      STOPPED,
      FORWARD_M1,
      BACKWARD_M1,
      FORWARD_M2,
      BACKWARD_M2
  };

  // Motor Variables
  MotorState          currentMotorState   = STOPPED;
  unsigned long       motorStateStartTime = 0;
  const unsigned long MOTOR_ACTION_DELAY  = 5000; // Delay between motor actions

  // Motor Objects
  L298N_ESP32   motor1(MOTOR1_PIN1, MOTOR1_PIN2, MOTOR1_ENABLE, 0);
  L298N_ESP32   motor2(MOTOR2_PIN1, MOTOR2_PIN2, MOTOR2_ENABLE, 1);