//==========================================================
//  HEADER
//==========================================================
  
  // HEADER FILE
  #include  "header.h"

  // REPLACE WITH YOUR RECEIVER MAC ADDRESS - 1C:69:20:E9:13:EC
  // uint8_t receiverMacAddress[] = {0x1C, 0x69, 0x20, 0xE9, 0x13, 0xEC};  // 1C:69:20:E9:13:EC

//==========================================================
//  SETUP
//==========================================================

  // SETUP
  void setup() {
    
    Serial.begin(115200);

    Serial.println();
    Serial.println(WiFi.macAddress());
    WiFi.mode(WIFI_STA);
    delay(5000);

    JY.setPin(X_AXIS_PIN, Y_AXIS_PIN, SWITCH_PIN);
    JY.begin();

    // StartWireless();  // Initialize ESP-NOW

    // Init ESP-NOW
    if(esp_now_init() != ESP_OK) {
      Serial.println("Error initializing ESP-NOW");
      return;
    } else {
      Serial.println("Succes: Initialized ESP-NOW");
    }

    esp_now_register_send_cb(OnDataSent);
    
    // Register peer
    esp_now_peer_info_t peerInfo;
    memcpy(peerInfo.peer_addr, receiverMacAddress, 6);
    peerInfo.channel = 0;  
    peerInfo.encrypt = false;
    
    // Add peer        
    if(esp_now_add_peer(&peerInfo) != ESP_OK) {
      Serial.println("Failed to add peer");
      return;
    } else {
      Serial.println("Succes: Added peer");
    } 

  }

//==========================================================
//  LOOP
//==========================================================

  // LOOP
  void loop() {
    
    JD.X = map(analogRead(32), 0, 4095, 0, 100); //map(average(JY.readX(), 10), 0, 4095, 0, 255);  // Map to 0-255
    JD.Y = map(analogRead(33), 0, 4095, 0, 100); //map(average(JY.readY(), 10), 0, 4095, 0, 255);  // Map to 0-255
    JD.B = digitalRead(34); //JY.readB();

    Serial.print(JD.X); Serial.print(" "); 
    Serial.print(JD.Y); Serial.print(" "); 
    Serial.println(!JD.B);

    // SendData(JD);  // Uncomment to send data

    esp_err_t result = esp_now_send(receiverMacAddress, (uint8_t *) &JD, sizeof(JD));
    if (result == ESP_OK) {
      // Serial.println("Sent with success");
    } else {
      // Serial.println("Error sending the data");
    }


    delay(20);

  }

//==========================================================
//  END
//==========================================================